Running update-filebot.sh breaks FileBot 4.9.1

Any questions? Need some help?
Post Reply
jp4500
Posts: 33
Joined: 23 Aug 2015, 01:55

Running update-filebot.sh breaks FileBot 4.9.1

Post by jp4500 »

Hi,

I recently updated filebot using the update-filebot.sh script. This was the first time using that script to update filebot - I had previously been downloading with curl (raspberry Pi 4). The update worked great but when running filebot the next time I got this message:

Code: Select all

[2020-09-01 13:50:00.960] License Error: java.lang.IncompatibleClassChangeError: 6c6c857b0f9f5ce53f52aa8cde2b739ae3ae9e3c8a9435da1f0926215c7b87db
[2020-09-01 13:50:00.979]  ________________________________________________
/ Please purchase a FileBot License:             \
\ https://www.filebot.net/purchase.html#tar      /
 ------------------------------------------------
      \                             .       .
       \                           / `.   .' "
        \                  .---.  <    > <    >  .---.
         \                 |    \  \ - ~ ~ - /  /    |
               _____          ..-~             ~-..-~
              |     |   \~~~\.'                    `./~~~/
             ---------   \__/                        \__/
            .'  O    \     /               /       \  "
           (_____,    `._.'               |         }  \/~~~/
            `----.          /       }     |        /    \__/
                  `-.      |       /      |       /      `. ,~~|
                      ~-.__|      /_ - ~ ^|      /- _      `..-'
                           |     /        |     /     ~-.     `-. _  _  _
                           |_____|        |_____|         ~ - . _ _ _ _ _>
[2020-09-01 13:50:00.982] FileBot requires a valid license. Please run `sudo -H -u pi filebot --license *.psm` to install your FileBot license.
[2020-09-01 13:50:00.984] Bad License (>_<)
I re-installed my license like normal. I also ran the 'sudo' command as reported even though I'm running filebot as the same user "pi" which I installed the license.

Code: Select all

[email protected]:~/Downloads $ sudo -H -u pi /home/pi/filebot/filebot.sh --license *.psm
[2020-09-01 13:49:25.566] Using persistent disk cache: /home/pi/filebot/data/pi/cache/0
[2020-09-01 13:49:26.979] Activate License [P15220402] on [Tue Sep 01 13:49:26 EDT 2020]
[2020-09-01 13:49:29.119] Write [FileBot License P15220402 (Valid-Until: 2021-06-15)] to [/home/pi/filebot/data/.license]
[2020-09-01 13:49:29.122] FileBot License P15220402 (Valid-Until: 2021-06-15) has been activated successfully.
more info on the current version:

Code: Select all

FileBot 4.9.2 (r7992) / OpenJDK Runtime Environment 14 / Linux 5.4.51-v7l+ (arm)
I believe I was running a 4.9.1 build before this (not sure which one though)
jp4500
Posts: 33
Joined: 23 Aug 2015, 01:55

Re: License not working (License Error: java.lang.IncompatibleClassChangeError)

Post by jp4500 »

Code: Select all

[email protected]:~/filebot $ filebot.sh -script fn:sysinfo
[2020-09-01 14:00:06.500] Using persistent disk cache: /home/pi/filebot/data/pi/cache/0
[2020-09-01 14:00:06.999] Low Memory Limit: 172 MB
[2020-09-01 14:00:06.999] * Consider using JAVA_OPTS -Xmx256m or higher
[2020-09-01 14:00:06.999] * Consider using -no-index on low-memory devices
FileBot 4.9.2 (r7992)
JNA Native: 6.1.0
MediaInfo: 19.04
p7zip: p7zip Version 16.02 (locale=en_US.UTF-8,Utf16=on,HugeFiles=on,32 bits,4 CPUs LE)
unrar: UNRAR 5.61 beta 1 freeware
FFprobe: 4.1.6-1~deb10u1+rpt1
Chromaprint: 1.4.3
Extended Attributes: OK
Unicode Filesystem: OK
Script Bundle: 2020-08-14 (r671)
Groovy: 3.0.2
JRE: OpenJDK Runtime Environment 14
JVM: 32-bit OpenJDK Server VM
CPU/MEM: 4 Core / 172 MB Max Memory / 19 MB Used Memory
OS: Linux (arm)
HW: Linux raspberrypi 5.4.51-v7l+ #1333 SMP Mon Aug 10 16:51:40 BST 2020 armv7l GNU/Linux
STORAGE: ext4 [/] @ 24 GB | autofs [/media/MEDIA] @ 2.2 TB | cifs [/media/MEDIA] @ 2.2 TB
DATA: /home/pi/filebot/data/pi
Package: TAR
License: java.lang.IncompatibleClassChangeError: 6c6c857b0f9f5ce53f52aa8cde2b739ae3ae9e3c8a9435da1f0926215c7b87db
[2020-09-01 14:00:19.177] Done ヾ(@⌒ー⌒@)ノ
Here's the sysinfo output. I don't remember ever seeing that "Low Memory Limit" error before so I can look into that one.
User avatar
rednoah
The Source
Posts: 19127
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: License not working (License Error: java.lang.IncompatibleClassChangeError)

Post by rednoah »

update-filebot.sh will lead to a Frankenstein code base, since it'll update FileBot but not it's dependencies. It's a quick way to get minor updates, but sometimes the baseline just isn't forwards-compatible with those minor updates, so you will have to upgrade the entire package from time to time if you want keep up with the latest beta revision.

:arrow: You'll want to either fully downgrade to FileBot 4.9.1 stable release or fully upgrade to FileBot r7992 beta release:
https://get.filebot.net/filebot/BETA/
:idea: Please read the FAQ and How to Request Help.
kise
Posts: 21
Joined: 17 Sep 2019, 21:28

Re: License not working (License Error: java.lang.IncompatibleClassChangeError)

Post by kise »

rednoah wrote: 01 Sep 2020, 18:09 update-filebot.sh will lead to a Frankenstein code base, since it'll update FileBot but not it's dependencies. It's a quick way to get minor updates, but sometimes the baseline just isn't forwards-compatible with those minor updates, so you will have to upgrade the entire package from time to time if you want keep up with the latest beta revision.

:arrow: You'll want to either fully downgrade to FileBot 4.9.1 stable release or fully upgrade to FileBot r7992 beta release:
https://get.filebot.net/filebot/BETA/
is possible to improve this process by actually downloading the whole archive instead of just filebot.jar? i had this problem happen to me as i upgraded from 4.9.0 to 4.9.2 and there was problem with licence checker.
User avatar
rednoah
The Source
Posts: 19127
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: License not working (License Error: java.lang.IncompatibleClassChangeError)

Post by rednoah »

kise wrote: 02 Oct 2020, 14:10 is possible to improve this process by actually downloading the whole archive instead of just filebot.jar? i had this problem happen to me as i upgraded from 4.9.0 to 4.9.2 and there was problem with licence checker.
Yes, that's what the reinstall-filebot.sh script does. update-filebot.sh is imperfect, but that makes the minor updates that it can do ~100x faster and smaller.
:idea: Please read the FAQ and How to Request Help.
Post Reply